//首页导航
var curPage=1;
var PICS={};
$(function() {
    $('.m-m').click(function(event) {
        event.stopPropagation();
        $('.m-nav').slideToggle();
        $('.mask').toggle();
    });
    $(document).click(function(event) {
        $('.m-nav').slideUp('slow');
        $('.mask').slideUp('slow');
    });
    $('.m-nav').click(function(event) {
        event.stopPropagation();
    });
	$("#infolookbottom").click(function(){
		var id=	$(this).attr("rel")	;
		confirm('此次查看联系方式会扣除您的'+$("#contactlink b").html()+$("#contactlink em").html()+'!', {
			TPL:'<div class="widget_wrap" style="z-index:{zIndex2};" >\
					<div class="widget_header"></div>\
					<div class="widget_body">{str}</div>\
					<div class="widget_footer">\
						<ul>\
							<li><button type="button" value="0">取消</button></li>\
							<li><button type="button" value="1">确定</button></li>\
						</ul>\
					</div>\
				</div>',
			callBack: function (evt) {
				var et = evt.target;
				if(evt && (et = evt.target) && ("BUTTON" == et.tagName) ){
					var val = et.getAttribute("value");
					if(0 == val){//取消
						
					}else{//确定
					   $.ajax({url: "../public/ajax.aspx?action=payinfo&id="+id,cache: false,
						  success:function(data)
						  {
							  if(data==0){window.location.href=window.location.href;}
							  else{alert(data);}
						  }
						});
					}
					return true;
				}
			}
		});
	});
})
//分享按钮
$(function() {
    $('.f-share').click(function(event) {
         var ua = navigator.userAgent.toLowerCase();
		if(ua.match(/MicroMessenger/i)=="micromessenger") {
			$(".sharehelper").show();
		}
		else
		{
		   event.stopPropagation();
		   $(".an1").show();
		}
    });
    //点击空白处或者自身隐藏弹出层，下面分别为滑动和淡出效果。  
    $(document).click(function(event) {
        $('.an1').hide();
    });
    $('.an1').click(function(event) {
        $(this).hide();
    });
})
//点击搜索，出现搜索框
$(function() {
    $(".m-search").click(function() {
        $("header").hide();
        $(".form").show();
    })
	$(".cancel").click(function() {
        $("header").show();
        $(".form").hide();
    })
})

//点击显示更多生活服务的信息
$(function() {
    $(".ck").click(function() {
        $(".w962 .content").removeClass("h100px").addClass("auto");
        $(this).hide();
        $(this).next(".cka").show();
    });
});

$(function() {
    $(".cka").click(function() {
        $(".w962 .content").removeClass("auto").addClass("h100px");
        $(this).prev(".ck").show();
        $(this).hide();
    });
});
//分类信息详细页收藏成功
$(function() {
    $("#sca").click(function() {
        $(this).hide();
        $(this).next().show();
        $("#co1").fadeIn().delay(1000).fadeOut(1000);
    });
    $("#sca1").click(function() {
        $(this).hide();
        $(this).prev().show();
        $("#co2").fadeIn().delay(1000).fadeOut(1000);
    })
	var imgsSrc = [];
	function reviewImage(src,tk) {
		if (typeof window.WeixinJSBridge != 'undefined') {
			WeixinJSBridge.invoke('imagePreview', {
				'current' : src,
				'urls' : imgsSrc
			});
		}
		else
		{
			$(".f-fix").hide();
			tk = tk.replace("img_","");
			popUp( parseInt(tk) );	
		}
	}
	function onImgLoad() {
		var imgs = document.getElementById("img-content");
		imgs = imgs ? imgs.getElementsByTagName("img") : [];
		var nk=0
		for( var i=0,l=imgs.length; i<l; i++ ){//忽略第一张图 是提前加载的loading图而已
			var img = imgs.item(i);
			var src = img.getAttribute('data-src') ;
			var oldimage=img;
			if( src !="" ){
				
				$("#theList").html($("#theList").html()+'<li><div class="photo" style="background:url(/template/ant/wap/images/loading.gif) no-repeat center center;" id="img_'+i+'"></div></li>');
				img.setAttribute("name", "img_"+i)
				PICS[i] = {
					ts: (i+1)+"/"+imgs.length,
					url: src,
					loaded: false
				};
				nk= i ;
				imgsSrc.push(src);
				(function(src,oldimage){
					if (img.addEventListener){
						img.addEventListener('click', function(){
							reviewImage(src,oldimage.getAttribute('name'));
						});
					}else if(img.attachEvent){
						img.attachEvent('click', function(){
							reviewImage(src,oldimage.getAttribute('name'));
						});
					}
				})(src,oldimage);
			}
		}
	}
	if( window.addEventListener ){
		window.addEventListener('load', onImgLoad, false);
	}else if(window.attachEvent){
		window.attachEvent('load', onImgLoad);
		window.attachEvent('onload', onImgLoad);
	}
});

function knowImgSize(id) {
    $(id + ' img').each(function(index, img) {
        $(this).css("max-width","100%");
        $(this).css("height","auto");
    });
}
// 初始化
$(document).ready(function() {
    knowImgSize("content");
});